Logistics
Create Trip
Create a new trip (stored as a delivery row).
POST
/
logistics
/
trips
Create Trip
curl --request POST \
--url https://vinmake-erp.onrender.com/logistics/trips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direction": "<string>",
"mode": "road",
"driver": "<string>",
"vehicle": "<string>",
"ref": "<string>",
"eta": "<string>",
"incoterm": "<string>",
"shipmentIds": [],
"stops": []
}
'import requests
url = "https://vinmake-erp.onrender.com/logistics/trips"
payload = {
"direction": "<string>",
"mode": "road",
"driver": "<string>",
"vehicle": "<string>",
"ref": "<string>",
"eta": "<string>",
"incoterm": "<string>",
"shipmentIds": [],
"stops": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direction: '<string>',
mode: 'road',
driver: '<string>',
vehicle: '<string>',
ref: '<string>',
eta: '<string>',
incoterm: '<string>',
shipmentIds: [],
stops: []
})
};
fetch('https://vinmake-erp.onrender.com/logistics/trips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"direction": "<string>",
"mode": "<string>",
"status": "<string>",
"driver": "<string>",
"vehicle": "<string>",
"refLabel": "<string>",
"ref": "<string>",
"progress": "<string>",
"eta": "<string>",
"stops": [],
"shipmentDocumentIds": [],
"incoterm": "<string>",
"createdAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Create Trip
